<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvDialog - Nuiverse UI</title>
  <link rel="stylesheet" href="/build/nuiverse-ui.css">
  <script type="module" src="/build/nuiverse-ui.esm.js"></script>
  <script nomodule src="/build/nuiverse-ui.js"></script>
  <link href="https://cdn.jsdelivr.net/npm/@nuiverse/icons@latest/nv-icons.css" rel="stylesheet">
</head>
<body>
  <div id="dialogs">
    <nv-dialog-alert text-confirm="Ok">
      Hello I'm a Dialog Alert :)
    </nv-dialog-alert>

    <nv-dialog-confirm color="danger" text-confirm="Confirm" text-cancel="Cancel">
      Are you sure you want to delete this contact?
    </nv-dialog-confirm>
    
    <nv-dialog-prompt
      color="danger"
      text-confirm="Confirm"
      text-cancel="Cancel"
      label="Device name">
    </nv-dialog-prompt>

    <nv-dialog-action text-cancel="Cancel">
      <div slot="content">
        <h4>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur eu mollis tortor.</h4>
      </div>
      <div slot="action">
        <nv-button text data-for="nv-dialog-action">
          Action 1
        </nv-button>
        <nv-button text data-for="nv-dialog-action">Action 2</nv-button>
      </div>
    </nv-dialog-action>

    <nv-dialog-action text-cancel="Cancel" id="nv-js-test">
      <div slot="content">
        <h4>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur eu mollis tortor.</h4>
      </div>
      <div slot="action">
        <nv-button text onclick="action1();">Action 1</nv-button>
        <nv-button text onclick="action2();">Action 2</nv-button>
      </div>
    </nv-dialog-action>

    <nv-dialog>
      <nv-dialog-header slot="header">Application Download</nv-dialog-header>
      <div slot="content">
        <p>Do you want to download and install this application?</p>
      </div>
      <div slot="footer">
        <nv-button text data-for="nv-dialog">Cancel</nv-button>
        <nv-button text data-for="nv-dialog">Action</nv-button>
      </div>
    </nv-dialog>
  </div>
    
  <div class="demo-component">
    <div class="area-component">
      <h1>Dialog</h1>
      <nv-button text data-for="nv-dialog-alert">
        <nv-icon slot="start">add</nv-icon>
        <nv-icon slot="end">expand-more</nv-icon>
        Alert
      </nv-button>
      <nv-button text data-for="nv-dialog-confirm">Confirm</nv-button>
      <nv-button text data-for="nv-dialog-prompt">Prompt</nv-button>
      <nv-button text data-for="nv-dialog-action">Action</nv-button>
      <nv-button text data-for="nv-dialog">Custom</nv-button>
      <nv-button text data-for="#nv-js-test">Test with JS funcions</nv-button>
    </div>
  </div>

  <script>
    function action1() {
      const dialog = document.getElementById('nv-js-test');
      console.log(dialog);
      console.log('action1');
      dialog.close();
    }

    function action2() {
      const dialog = document.getElementById('nv-js-test');
      console.log(dialog);
      console.log('action2');
      dialog.close().then(() => {
        console.log('Executing after close dialog.');
      });
    }
  </script>
</body>
</html>
 